org.springframework.data.relational.core.mapping

## Interface RelationalPersistentProperty

All Superinterfaces:
  PersistentProperty<RelationalPersistentProperty>

All Known Implementing Classes:
  BasicRelationalPersistentProperty

    public interface RelationalPersistentProperty
    extends PersistentProperty<RelationalPersistentProperty>

A `PersistentProperty` with methods for additional JDBC/RDBMS related meta data.

Author:
  Jens Schauder, Oliver Gierke, Bastian Wilhelm

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`SqlIdentifier` `getColumnName()` Returns the name of the column backing this property.
`default String` `getEmbeddedPrefix()`
`SqlIdentifier` `getKeyColumn()`
`RelationalPersistentEntity<?>` `getOwner()`
`Class<?>` `getQualifierColumnType()`
`SqlIdentifier` `getReverseColumnName(PersistentPropertyPathExtension path)`
`default boolean` `isEmbedded()`
`boolean` `isOrdered()` Returns whether this property is an ordered property.
`boolean` `isQualified()` Returns if this property is a qualified property, i.e. a property referencing multiple elements that can get picked by a key or an index.
`boolean` `isReference()`
`boolean` `shouldCreateEmptyEmbedded()` Returns whether an empty embedded object is supposed to be created for this property.

### Methods inherited from interface org.springframework.data.mapping.PersistentProperty

`findAnnotation, findPropertyOrOwnerAnnotation, getAccessorForOwner, getActualType, getAssociation, getAssociationTargetType, getComponentType, getField, getGetter, getMapValueType, getName, getPersistentEntityTypes, getRawType, getRequiredAnnotation, getRequiredAssociation, getRequiredField, getRequiredGetter, getRequiredSetter, getRequiredWither, getSetter, getSpelExpression, getType, getTypeInformation, getWither, hasActualTypeAnnotation, isAnnotationPresent, isArray, isAssociation, isCollectionLike, isEntity, isIdProperty, isImmutable, isMap, isTransient, isVersionProperty, isWritable, usePropertyAccess`

### Method Detail

#### isReference

    boolean isReference()

#### getColumnName

    SqlIdentifier getColumnName()

Returns the name of the column backing this property.

Returns:
  the name of the column backing this property.

#### getOwner

    RelationalPersistentEntity<?> getOwner()

Specified by:
  `getOwner` in interface `PersistentProperty<RelationalPersistentProperty>`

#### getReverseColumnName

    SqlIdentifier getReverseColumnName(PersistentPropertyPathExtension path)

#### getKeyColumn

    @Nullable
    SqlIdentifier getKeyColumn()

#### isQualified

    boolean isQualified()

Returns if this property is a qualified property, i.e. a property referencing multiple elements that can get picked by a key or an index.

#### getQualifierColumnType

    Class<?> getQualifierColumnType()

#### isOrdered

    boolean isOrdered()

Returns whether this property is an ordered property.

#### isEmbedded

    default boolean isEmbedded()

Returns:
  true, if the Property is an embedded value object, otherwise false.

#### getEmbeddedPrefix

    @Nullable
    default String getEmbeddedPrefix()

Returns:
  Prefix for embedded columns. If the column is not embedded the return value is null.

#### shouldCreateEmptyEmbedded

    boolean shouldCreateEmptyEmbedded()

Returns whether an empty embedded object is supposed to be created for this property.

Returns: